wxWidgets: wxVariantDataCurrency Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxVariantDataCurrency Class Reference
Class List by Category » Data Structures

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/msw/ole/oleutils.h>`

Inheritance diagram for wxVariantDataCurrency:
[legend]

## Detailed Description

This class represents a thin wrapper for Microsoft Windows `CURRENCY` type.

It is used for converting between wxVariant and OLE `VARIANT` with type set to `VT_CURRENCY`. When wxVariant stores wxVariantDataCurrency, it returns "currency" as its type.

An example of setting and getting `CURRENCY` value to and from wxVariant:

CURRENCY cy;
wxVariant variant;
// set wxVariant to currency type
if ( SUCCEEDED(VarCyFromR8(123.45, &cy)) ) // set cy to 123.45
{
variant.SetData(new wxVariantDataCurrency(cy));
// or instead of the line above you could write:
// wxVariantDataCurrency wxCy;
// wxCy.SetValue(cy);
// variant.SetData(wxCy.Clone());
}
// get CURRENCY value from wxVariant
if ( variant.GetType() == "currency" )
{
wxVariantDataCurrency*
wxCy = wxDynamicCastVariantData(variant.GetData(), wxVariantDataCurrency);
cy = wxCy->GetValue();
}
wxVariantDataCurrency
This class represents a thin wrapper for Microsoft Windows CURRENCY type.
Definition oleutils.h:80
wxVariantDataCurrency::GetValue
CURRENCY GetValue() const
Returns the stored CURRENCY value.
wxVariantDataCurrency::wxVariantDataCurrency
wxVariantDataCurrency()
Default constructor initializes the object to 0.0.
wxVariant
The wxVariant class represents a container for any type.
Definition variant.h:163
wxVariant::SetData
void SetData(wxVariantData *data)
Sets the internal variant data, deleting the existing data if there is any.
wxVariant::GetType
wxString GetType() const
Returns the value type as a string.
wxVariant::GetData
wxVariantData * GetData() const
Returns a pointer to the internal variant data.
Availability: only available for the wxMSW port.

Since
  2.9.5

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxAutomationObject, wxVariant, wxVariantData, wxVariantDataErrorCode

## Public Member Functions
| wxVariantDataCurrency ()
| Default constructor initializes the object to 0.0.
| wxVariantDataCurrency (CURRENCY value)
| Constructor from CURRENCY.
CURRENCY | GetValue () const
| Returns the stored CURRENCY value.
void | SetValue (CURRENCY value)
| Sets the stored value to value.
virtual bool | Eq (wxVariantData &data) const
| Returns true if data is of wxVariantDataCurency type and contains the same CURRENCY value.
virtual bool | Write (wxString &str) const
| Fills the provided string with the textual representation of this object.
wxVariantData * | Clone () const
| Returns a copy of itself.
virtual wxString | GetType () const
| Returns "currency".
virtual bool | GetAsAny (wxAny *any) const
| Converts the value of this object to wxAny.
Public Member Functions inherited from wxVariantData
| wxVariantData ()
| Default constructor.
void | DecRef ()
| Decreases reference count.
virtual bool | GetAny (wxAny *any) const
| Converts value to wxAny, if possible.
virtual wxClassInfo * | GetValueClassInfo ()
| If the data is a wxObject returns a pointer to the objects wxClassInfo structure, if the data isn't a wxObject the method returns NULL.
void | IncRef ()
| Increases reference count.
virtual bool | Read (istream &stream)
| Reads the data from stream.
virtual bool | Read (wxString &string)
| Reads the data from string.
virtual bool | Write (ostream &stream) const
| Writes the data to stream.

## Constructor & Destructor Documentation

## ◆ wxVariantDataCurrency() [1/2]

wxVariantDataCurrency::wxVariantDataCurrency | ( |  | ) |

Default constructor initializes the object to 0.0.

## ◆ wxVariantDataCurrency() [2/2]

wxVariantDataCurrency::wxVariantDataCurrency | ( | CURRENCY | value | ) |

Constructor from CURRENCY.

## Member Function Documentation

## ◆ Clone()

wxVariantData * wxVariantDataCurrency::Clone | ( |  | ) | const
| virtual

Returns a copy of itself.

Reimplemented from wxVariantData.

## ◆ Eq()

virtual bool wxVariantDataCurrency::Eq | ( | wxVariantData & | data | ) | const
| virtual

Returns true if data is of wxVariantDataCurency type and contains the same CURRENCY value.

Implements wxVariantData.

## ◆ GetAsAny()

virtual bool wxVariantDataCurrency::GetAsAny | ( | wxAny * | any | ) | const
| virtual

Converts the value of this object to wxAny.

## ◆ GetType()

virtual wxString wxVariantDataCurrency::GetType | ( |  | ) | const
| virtual

Returns "currency".

Implements wxVariantData.

## ◆ GetValue()

CURRENCY wxVariantDataCurrency::GetValue | ( |  | ) | const

Returns the stored CURRENCY value.

## ◆ SetValue()

void wxVariantDataCurrency::SetValue | ( | CURRENCY | value | ) |

Sets the stored value to value.

## ◆ Write()

virtual bool wxVariantDataCurrency::Write | ( | wxString & | str | ) | const
| virtual

Fills the provided string with the textual representation of this object.

The implementation of this method uses `VarBstrFromCy()` Windows API function with `LOCALE_USER_DEFAULT`.

Reimplemented from wxVariantData.